Sim Swap
This endpoint swaps each SIM for a replacement SIM.
Network Support
| Network | NetworkId |
|---|---|
| O2 (UK) | 24 |
| O2 (USA) | 29 |
| O2 (World) | 97 |
| O2 AT (UK) | 195 |
| Vodafone (UK) | 3 |
| Vodafone PPM (UK) | 141 |
| Vodafone SB (UK) | 151 |
| Vodafone M2M (UK) | 164 |
| Vodafone BA (UK) | 168 |
| Vodafone AT (UK) | 200 |
| Orange (France) LMVNO | 234 |
| EE Direct CM (UK) | 239 |
| Name | Type | Description |
|---|---|---|
swaps | array | The SIMs to swap and the SIM each one is swapped for |
name | string | Optional name for the submission, defaults to "SIM Swap" |
swaps
| Name | Type | Description |
|---|---|---|
serialNumber | string | Serial number of the SIM being swapped |
swapSerialNumber | string | Serial number of the replacement SIM |
All SIMs must be on the same account, and every serial number supplied must be unique.
Request
curl --location 'https://api.cellhire.com/api/simsubmission/SimSwap' \
-header 'Content-Type: application/json;charset=UTF-8' \
-header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjRBMDlENTFBMDhEOEUxMTU0OTkyODFDNDdFMjE.....' \
--data '{
"swaps": [
{ "serialNumber": "1111111111111111111", "swapSerialNumber": "6666666666666666666" },
{ "serialNumber": "2222222222222222222", "swapSerialNumber": "7777777777777777777" }
]
}'Successful Response
| Name | Type | Description |
|---|---|---|
ticketNumber | guid | Submission Id that has been created |
{ "ticketNumber": "1beeb8dd-1825-4bcd-8a62-f941aacb8d15" }